import request from '@/utils/request'

export function loginByUsername(username, password) {
  const data = {
    login_name: username,
    password: password
  }
  return request({
    url: '/rbac/user/login',
    method: 'post',
    data
  })
}

export function logout(token) {
  return request({
    url: '/rbac/user/logout',
    method: 'post',
    data: {
      token
    }
  })
}

export function getUserInfo(userId) {
  return request({
    url: '/rbac/user/detail/' + userId,
    method: 'get'
  })
}

export function getCurrentUserInfo() {
  return request({
    url: '/rbac/user/current-user-detail/',
    method: 'get'
  })
}

export function toSwitchRole(roleId) {
  return request({
    url: '/rbac/user/choose-role',
    method: 'post',
    data: {
      role_id: roleId
    }
  })
}
